/**
 * 井总览模块接口
 */
import request from '@/utils/request'
// 井查询
export function getWellList(params) {
  return request({
    url: 'overview/wellList',
    method: 'get',
    params
  })
}
// 获取井详情
export function getWellInfo(id) {
  return request({
    url: 'overview/wellInfo',
    method: 'get',
    params: {
      id: id
    }
  })
}
// 获取报警列表
export function getAlarmsNow(params) {
  return request({
    baseURL:'http://111.198.10.15:21406',
    url: '/device/alarmList',
    method: 'get',
    params
  })
}

// 某井报警信息
export function getWellAlarms(id) {
  return request({
    url: 'overview/alarmsByWell',
    method: 'get',
    params: {
      id: id
    }
  })
}

// 设备查询
export function getDeviceList(params) {
  return request({
    baseURL:'http://111.198.10.15:21406',
    url: '/statics/deviceList',
    method: 'get',
    params
  })
}
// 获取井详情
export function getDeviceInfo(id) {
  return request({
    url: 'overview/deviceDetail',
    method: 'get',
    params: {
      id: id
    }
  })
}

